Page MenuHomePhabricator

toolforge: sqlite3 not found in the Grid engine
Closed, ResolvedPublic

Description

I attempted to export a sqlite3 database to the SQL format, but when I sended the task to the Grid engine (using jsub), the error log mentions sqlite3 is not found.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 7:31 PM

I can confirm this behavior

chicocvenancio@tools-bastion-03:~$ sqlite3 --version
3.8.2 2013-12-06 14:53:30 27392118af4c38c5203a04b8013e1afdb1cebd0d
chicocvenancio@tools-bastion-03:~$ jsub sqlite3 --version
Your job 6611969 ("sqlite3") has been submitted
chicocvenancio@tools-bastion-03:~$ tail sqlite3.err
-bash: /usr/bin/sqlite3: No such file or directory

I confirm the package is not installed in the exec nodes.

@Chicocvenancio would you mind sending a small patch to add the package to modules/toollabs/manifests/exec_environ.pp?
I can review and merge it.

If not, I can handle this myself next week.

Change 436903 had a related patch set uploaded (by Chico Venancio; owner: Chico Venancio):
[operations/puppet@production] Toolforge: add sqlite3 package to exec_environ

https://gerrit.wikimedia.org/r/436903

Change 436903 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] Toolforge: add sqlite3 package to exec_environ

https://gerrit.wikimedia.org/r/436903

Mentioned in SAL (#wikimedia-cloud) [2018-06-04T10:28:43Z] <arturo> T196006 installing sqlite3 package in exec nodes

This produced some puppet errors in Toolforge:

aborrero@tools-bastion-02:~$ sudo puppet agent -t -v
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation Error: Error while evaluating a Resource Statement, Duplicate declaration: Package[sqlite3] is already declared in file /etc/puppet/modules/toollabs/manifests/dev_environ.pp:40; cannot redeclare at /etc/puppet/modules/toollabs/manifests/exec_environ.pp:112 at /etc/puppet/modules/toollabs/manifests/exec_environ.pp:112:5 on node tools-bastion-02.tools.eqiad.wmflabs
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Change 437216 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: fix duplicated sqlite3 package declaration in toolforge bastions

https://gerrit.wikimedia.org/r/437216

aborrero renamed this task from sqlite3 not found in the Grid engine to toolforge: sqlite3 not found in the Grid engine.Jun 4 2018, 11:06 AM

Change 437216 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: fix duplicated sqlite3 package declaration in toolforge bastions

https://gerrit.wikimedia.org/r/437216

Vvjjkkii renamed this task from toolforge: sqlite3 not found in the Grid engine to pybaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed aborrero as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: aborrero; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from pybaaaaaaa to toolforge: sqlite3 not found in the Grid engine.Jul 2 2018, 3:54 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to aborrero.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: aborrero.